/**
 * @author VasiliyK
 */

Logger = {
	enabled: true,
	importantMarker: "!=====!=====!"
};

Logger.write = function(value, context, isImportant){
	isImportant = isImportant || false;
    if (this.enabled === true) {
		var result = "(" + (new Date()).toLocaleFormat("%H:%M:%S") + ") ";
		result += isImportant ? this.importantMarker + " " : "";
		if (context) {
			result += "[" + context + "] ";
		}
		result += value;
		alert(result);
	}
}